Bug 8889 - segfaults in s4 libnet/winbind code
segfaults in s4 libnet/winbind code
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 regression
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-04-24 09:09 UTC by Stefan Metzmacher
Modified: 2012-05-15 04:11 UTC (History)
1 user (show)

See Also:


Attachments
Diff of the prototypes we need to fix (5.24 KB, patch)
2012-04-24 09:20 UTC, Stefan Metzmacher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-04-24 09:09:35 UTC
Our flakey test infrastructure detected a crash that happens
about 10 times a week.

https://git.samba.org/autobuild.flakey/2012-04-24-0228/samba4.stderr

../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]
smb_panic(): calling panic action [/memdisk/autobuild/flakey/b6798/samba4/selftest/gdb_backtrace 8890]
[Thread debugging using libthread_db enabled]
0x00002b09a19f127e in __libc_waitpid (pid=<value optimized out>, 
    stat_loc=0x7fff6004e40c, options=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/waitpid.c:32
32	../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.
	in ../sysdeps/unix/sysv/linux/waitpid.c
#0  0x00002b09a19f127e in __libc_waitpid (pid=<value optimized out>, 
    stat_loc=0x7fff6004e40c, options=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/waitpid.c:32
        oldtype = <value optimized out>
        result = <value optimized out>
#1  0x00002b09a19887e9 in do_system (line=<value optimized out>)
    at ../sysdeps/posix/system.c:149
        __result = -512
        _buffer = {__routine = 0x2b09a1988b40 <cancel_handler>, 
          __arg = 0x7fff6004e408, __canceltype = 0, __prev = 0x0}
        _avail = 1
        status = <value optimized out>
        save = <value optimized out>
        pid = 9308
        sa = {__sigaction_handler = {sa_handler = 0x1, sa_sigaction = 0x1}, 
          sa_mask = {__val = {65536, 0 <repeats 15 times>}}, sa_flags = 0, 
          sa_restorer = 0x2b09a194e0f0}
        omask = {__val = {6784, 4294967295, 140734804321136, 1, 2195512, 0, 
            0, 0, 47320301223936, 47320296941521, 140733193388033, 0, 191, 
            47320365588720, 140734804321312, 21788272}}
#2  0x00002b099f114a69 in smb_panic_default (
    why=0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]") at ../lib/util/fault.c:134
        result = 11017
        pidstr = "8890\000\177\000\000p_@\000\000\000\000\000\220\356\004`"
        cmdstring = "/memdisk/autobuild/flakey/b6798/samba4/selftest/gdb_backtrace 8890\000\000\060\000\000\000p\345\004`\377\177\000\000\260\344\004`\377\177\000\000`\273D\003\000\000\000\000\020\000\000\000\060\000\000\000\020\223.\001\000\000\000\000\020\223.\001\000\000\000\000\230\260T\237\t+\000\000\001\000\000\000\000\000\000\000\230\260T\237\t+\000\000\340>_\256\t+\000\000$\260K\240\t+\000\000\344:_\256\t+\000\000\377\000\000\000\000\000\000\000\320&\226\001\000\000\000\000\260KT\237\t+\000\000\000\000CM\000\000\000"
        __FUNCTION__ = "smb_panic_default"
#3  0x00002b099f114bff in smb_panic (
    why=0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]") at ../lib/util/fault.c:162
No locals.
#4  0x00002b099f546527 in talloc_abort (
    reason=0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]")
    at ../lib/talloc/talloc.c:320
No locals.
#5  0x00002b099f548420 in talloc_abort_type_mismatch (
    location=0x2b09ae5f3ee0 "../source4/libnet/libnet_user.c:801", 
    name=0x2b09a04bb024 "struct irpc_list", 
    expected=0x2b09ae5f3ae4 "struct composite_context")
    at ../lib/talloc/talloc.c:1193
        reason = 0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]"
#6  0x00002b099f5484c2 in _talloc_get_type_abort (ptr=0x225fc00, 
    name=0x2b09ae5f3ae4 "struct composite_context", 
    location=0x2b09ae5f3ee0 "../source4/libnet/libnet_user.c:801")
    at ../lib/talloc/talloc.c:1210
        pname = 0x2b09a04bb024 "struct irpc_list"
#7  0x00002b09ae5d7226 in continue_info_received (ctx=0x14c7670)
    at ../source4/libnet/libnet_user.c:801
        c = 0x0
        s = 0x2b099f33ed10
#8  0x00002b09a436b9aa in composite_done (ctx=0x14c7670)
    at ../source4/libcli/composite/composite.c:143
No locals.
#9  0x00002b09ae5de2a3 in continue_userinfo_closeuser (subreq=0x0)
    at ../source4/libnet/userinfo.c:252
        c = 0x14c7670
        s = 0x21b2b90
        msg = {type = 176, data = 0x2b099fbcddaf, data_size = 0}
        msg_close = 0x1007990
#10 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x234db60, 
    location=0x2b09a71d5ee8 "default/librpc/gen_ndr/ndr_samr_c.c:281")
    at ../lib/tevent/tevent_req.c:101
No locals.
#11 0x00002b099f3399dd in tevent_req_finish (req=0x234db60, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a71d5ee8 "default/librpc/gen_ndr/ndr_samr_c.c:281")
    at ../lib/tevent/tevent_req.c:110
No locals.
#12 0x00002b099f339a04 in _tevent_req_done (req=0x234db60, 
    location=0x2b09a71d5ee8 "default/librpc/gen_ndr/ndr_samr_c.c:281")
    at ../lib/tevent/tevent_req.c:116
No locals.
#13 0x00002b09a7149cd4 in dcerpc_samr_Close_r_done (subreq=0x24a6970)
    at default/librpc/gen_ndr/ndr_samr_c.c:281
        req = 0x234db60
        status = {v = 0}
#14 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x24a6970, 
    location=0x2b09a1538200 "../librpc/rpc/binding_handle.c:492")
    at ../lib/tevent/tevent_req.c:101
No locals.
#15 0x00002b099f3399dd in tevent_req_finish (req=0x24a6970, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a1538200 "../librpc/rpc/binding_handle.c:492")
    at ../lib/tevent/tevent_req.c:110
No locals.
#16 0x00002b099f339a04 in _tevent_req_done (req=0x24a6970, 
    location=0x2b09a1538200 "../librpc/rpc/binding_handle.c:492")
    at ../lib/tevent/tevent_req.c:116
No locals.
#17 0x00002b09a1534a49 in dcerpc_binding_handle_call_done (subreq=0x0)
    at ../librpc/rpc/binding_handle.c:492
        req = 0x24a6970
        state = 0x1065e10
        h = 0x1fe6050
        error = {v = 0}
        out_flags = 0
        ndr_err = NDR_ERR_SUCCESS
#18 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x178cee0, 
    location=0x2b09a1537d70 "../librpc/rpc/binding_handle.c:163")
    at ../lib/tevent/tevent_req.c:101
No locals.
#19 0x00002b099f3399dd in tevent_req_finish (req=0x178cee0, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a1537d70 "../librpc/rpc/binding_handle.c:163")
    at ../lib/tevent/tevent_req.c:110
No locals.
#20 0x00002b099f339a04 in _tevent_req_done (req=0x178cee0, 
    location=0x2b09a1537d70 "../librpc/rpc/binding_handle.c:163")
    at ../lib/tevent/tevent_req.c:116
No locals.
#21 0x00002b09a1533f0a in dcerpc_binding_handle_raw_call_done (subreq=0x0)
    at ../librpc/rpc/binding_handle.c:163
        req = 0x178cee0
        state = 0x1fe6140
        error = {v = 0}
#22 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x1b3a410, 
    location=0x2b09a04b5788 "../source4/librpc/rpc/dcerpc.c:298")
    at ../lib/tevent/tevent_req.c:101
No locals.
#23 0x00002b099f3399dd in tevent_req_finish (req=0x1b3a410, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a04b5788 "../source4/librpc/rpc/dcerpc.c:298")
    at ../lib/tevent/tevent_req.c:110
No locals.
#24 0x00002b099f339afb in tevent_req_trigger (ev=0xf3e0a0, im=0x1426d10, 
    private_data=0x1b3a410) at ../lib/tevent/tevent_req.c:166
        req = 0x1b3a410
#25 0x00002b099f338ec8 in tevent_common_loop_immediate (ev=0xf3e0a0)
    at ../lib/tevent/tevent_immediate.c:135
        im = 0x1426d10
        handler = 0x2b099f339ab3 <tevent_req_trigger>
        private_data = 0x1b3a410
#26 0x00002b099f33cec9 in std_event_loop_once (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent_standard.c:553
        std_ev = 0xf3e170
        tval = {tv_sec = 4, tv_usec = 485149}
#27 0x00002b099f33805a in _tevent_loop_once (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent.c:504
        ret = 0
        nesting_stack_ptr = 0x0
#28 0x00002b099f338297 in tevent_common_loop_wait (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent.c:605
        ret = 0
#29 0x00002b099f338362 in _tevent_loop_wait (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent.c:624
No locals.
#30 0x000000000040bf44 in binary_smbd_main (binary_name=0x40fefb "samba", 
    argc=6, argv=0x7fff6004ee98) at ../source4/smbd/server.c:472
        opt_daemon = false
        opt_interactive = true
        opt = -1
        pc = 0xf22040
        static_init = {0x2b099eac5d2c <server_service_auth_init>, 
          0x2b099eac83af <server_service_echo_init>, 0}
        shared_init = 0xf50d50
        event_ctx = 0xf3e0a0
        stdin_event_flags = 1
        status = {v = 0}
        model = 0xf22970 "single"
        max_runtime = 7500
        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x2b09a19461e0, val = 0, 
            descrip = 0x4100bf "Help options:", argDescrip = 0x0}, {
            longName = 0x4100cd "daemon", shortName = 68 'D', argInfo = 0, 
            arg = 0x0, val = 1000, 
            descrip = 0x4100d4 "Become a daemon (default)", 
            argDescrip = 0x0}, {longName = 0x4100ee "interactive", 
            shortName = 105 'i', argInfo = 0, arg = 0x0, val = 1001, 
            descrip = 0x410100 "Run interactive (not a daemon)", 
            argDescrip = 0x0}, {longName = 0x41011f "model", 
            shortName = 77 'M', argInfo = 1, arg = 0x0, val = 1002, 
            descrip = 0x410125 "Select process model", 
            argDescrip = 0x41013a "MODEL"}, {
            longName = 0x410140 "maximum-runtime", shortName = 0 '\000', 
            argInfo = 2, arg = 0x7fff6004ed6c, val = 0, 
            descrip = 0x410150 "set maximum runtime of the server process, till autotermination", argDescrip = 0x410190 "seconds"}, {
            longName = 0x410198 "show-build", shortName = 98 'b', 
            argInfo = 0, arg = 0x0, val = 1003, 
            descrip = 0x4101a3 "show build info", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x613700, val = 0, 
            descrip = 0x4101b3 "Common samba options:", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x6138c0, val = 0, 
            descrip = 0x4101b3 "Common samba options:", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, 
            val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "binary_smbd_main"
#31 0x000000000040bf8a in main (argc=6, argv=0x7fff6004ee98)
    at ../source4/smbd/server.c:483
No locals.

Thread 1 (Thread 0x2b09a9977a40 (LWP 8890)):
#0  0x00002b09a19f127e in __libc_waitpid (pid=<value optimized out>, 
    stat_loc=0x7fff6004e40c, options=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/waitpid.c:32
        oldtype = <value optimized out>
        result = <value optimized out>
#1  0x00002b09a19887e9 in do_system (line=<value optimized out>)
    at ../sysdeps/posix/system.c:149
        __result = -512
        _buffer = {__routine = 0x2b09a1988b40 <cancel_handler>, 
          __arg = 0x7fff6004e408, __canceltype = 0, __prev = 0x0}
        _avail = 1
        status = <value optimized out>
        save = <value optimized out>
        pid = 9308
        sa = {__sigaction_handler = {sa_handler = 0x1, sa_sigaction = 0x1}, 
          sa_mask = {__val = {65536, 0 <repeats 15 times>}}, sa_flags = 0, 
          sa_restorer = 0x2b09a194e0f0}
        omask = {__val = {6784, 4294967295, 140734804321136, 1, 2195512, 0, 
            0, 0, 47320301223936, 47320296941521, 140733193388033, 0, 191, 
            47320365588720, 140734804321312, 21788272}}
#2  0x00002b099f114a69 in smb_panic_default (
    why=0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]") at ../lib/util/fault.c:134
        result = 11017
        pidstr = "8890\000\177\000\000p_@\000\000\000\000\000\220\356\004`"
        cmdstring = "/memdisk/autobuild/flakey/b6798/samba4/selftest/gdb_backtrace 8890\000\000\060\000\000\000p\345\004`\377\177\000\000\260\344\004`\377\177\000\000`\273D\003\000\000\000\000\020\000\000\000\060\000\000\000\020\223.\001\000\000\000\000\020\223.\001\000\000\000\000\230\260T\237\t+\000\000\001\000\000\000\000\000\000\000\230\260T\237\t+\000\000\340>_\256\t+\000\000$\260K\240\t+\000\000\344:_\256\t+\000\000\377\000\000\000\000\000\000\000\320&\226\001\000\000\000\000\260KT\237\t+\000\000\000\000CM\000\000\000"
        __FUNCTION__ = "smb_panic_default"
#3  0x00002b099f114bff in smb_panic (
    why=0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]") at ../lib/util/fault.c:162
No locals.
#4  0x00002b099f546527 in talloc_abort (
    reason=0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]")
    at ../lib/talloc/talloc.c:320
No locals.
#5  0x00002b099f548420 in talloc_abort_type_mismatch (
    location=0x2b09ae5f3ee0 "../source4/libnet/libnet_user.c:801", 
    name=0x2b09a04bb024 "struct irpc_list", 
    expected=0x2b09ae5f3ae4 "struct composite_context")
    at ../lib/talloc/talloc.c:1193
        reason = 0x12e9310 "../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]"
#6  0x00002b099f5484c2 in _talloc_get_type_abort (ptr=0x225fc00, 
    name=0x2b09ae5f3ae4 "struct composite_context", 
    location=0x2b09ae5f3ee0 "../source4/libnet/libnet_user.c:801")
    at ../lib/talloc/talloc.c:1210
        pname = 0x2b09a04bb024 "struct irpc_list"
#7  0x00002b09ae5d7226 in continue_info_received (ctx=0x14c7670)
    at ../source4/libnet/libnet_user.c:801
        c = 0x0
        s = 0x2b099f33ed10
#8  0x00002b09a436b9aa in composite_done (ctx=0x14c7670)
    at ../source4/libcli/composite/composite.c:143
No locals.
#9  0x00002b09ae5de2a3 in continue_userinfo_closeuser (subreq=0x0)
    at ../source4/libnet/userinfo.c:252
        c = 0x14c7670
        s = 0x21b2b90
        msg = {type = 176, data = 0x2b099fbcddaf, data_size = 0}
        msg_close = 0x1007990
#10 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x234db60, 
    location=0x2b09a71d5ee8 "default/librpc/gen_ndr/ndr_samr_c.c:281")
    at ../lib/tevent/tevent_req.c:101
No locals.
#11 0x00002b099f3399dd in tevent_req_finish (req=0x234db60, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a71d5ee8 "default/librpc/gen_ndr/ndr_samr_c.c:281")
    at ../lib/tevent/tevent_req.c:110
No locals.
#12 0x00002b099f339a04 in _tevent_req_done (req=0x234db60, 
    location=0x2b09a71d5ee8 "default/librpc/gen_ndr/ndr_samr_c.c:281")
    at ../lib/tevent/tevent_req.c:116
No locals.
#13 0x00002b09a7149cd4 in dcerpc_samr_Close_r_done (subreq=0x24a6970)
    at default/librpc/gen_ndr/ndr_samr_c.c:281
        req = 0x234db60
        status = {v = 0}
#14 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x24a6970, 
    location=0x2b09a1538200 "../librpc/rpc/binding_handle.c:492")
    at ../lib/tevent/tevent_req.c:101
No locals.
#15 0x00002b099f3399dd in tevent_req_finish (req=0x24a6970, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a1538200 "../librpc/rpc/binding_handle.c:492")
    at ../lib/tevent/tevent_req.c:110
No locals.
#16 0x00002b099f339a04 in _tevent_req_done (req=0x24a6970, 
    location=0x2b09a1538200 "../librpc/rpc/binding_handle.c:492")
    at ../lib/tevent/tevent_req.c:116
No locals.
#17 0x00002b09a1534a49 in dcerpc_binding_handle_call_done (subreq=0x0)
    at ../librpc/rpc/binding_handle.c:492
        req = 0x24a6970
        state = 0x1065e10
        h = 0x1fe6050
        error = {v = 0}
        out_flags = 0
        ndr_err = NDR_ERR_SUCCESS
#18 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x178cee0, 
    location=0x2b09a1537d70 "../librpc/rpc/binding_handle.c:163")
    at ../lib/tevent/tevent_req.c:101
No locals.
#19 0x00002b099f3399dd in tevent_req_finish (req=0x178cee0, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a1537d70 "../librpc/rpc/binding_handle.c:163")
    at ../lib/tevent/tevent_req.c:110
No locals.
#20 0x00002b099f339a04 in _tevent_req_done (req=0x178cee0, 
    location=0x2b09a1537d70 "../librpc/rpc/binding_handle.c:163")
    at ../lib/tevent/tevent_req.c:116
No locals.
#21 0x00002b09a1533f0a in dcerpc_binding_handle_raw_call_done (subreq=0x0)
    at ../librpc/rpc/binding_handle.c:163
        req = 0x178cee0
        state = 0x1fe6140
        error = {v = 0}
#22 0x00002b099f3399ab in _tevent_req_notify_callback (req=0x1b3a410, 
    location=0x2b09a04b5788 "../source4/librpc/rpc/dcerpc.c:298")
    at ../lib/tevent/tevent_req.c:101
No locals.
#23 0x00002b099f3399dd in tevent_req_finish (req=0x1b3a410, 
    state=TEVENT_REQ_DONE, 
    location=0x2b09a04b5788 "../source4/librpc/rpc/dcerpc.c:298")
    at ../lib/tevent/tevent_req.c:110
No locals.
#24 0x00002b099f339afb in tevent_req_trigger (ev=0xf3e0a0, im=0x1426d10, 
    private_data=0x1b3a410) at ../lib/tevent/tevent_req.c:166
        req = 0x1b3a410
#25 0x00002b099f338ec8 in tevent_common_loop_immediate (ev=0xf3e0a0)
    at ../lib/tevent/tevent_immediate.c:135
        im = 0x1426d10
        handler = 0x2b099f339ab3 <tevent_req_trigger>
        private_data = 0x1b3a410
#26 0x00002b099f33cec9 in std_event_loop_once (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent_standard.c:553
        std_ev = 0xf3e170
        tval = {tv_sec = 4, tv_usec = 485149}
#27 0x00002b099f33805a in _tevent_loop_once (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent.c:504
        ret = 0
        nesting_stack_ptr = 0x0
#28 0x00002b099f338297 in tevent_common_loop_wait (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent.c:605
        ret = 0
#29 0x00002b099f338362 in _tevent_loop_wait (ev=0xf3e0a0, 
    location=0x410517 "../source4/smbd/server.c:472")
    at ../lib/tevent/tevent.c:624
No locals.
#30 0x000000000040bf44 in binary_smbd_main (binary_name=0x40fefb "samba", 
    argc=6, argv=0x7fff6004ee98) at ../source4/smbd/server.c:472
        opt_daemon = false
        opt_interactive = true
        opt = -1
        pc = 0xf22040
        static_init = {0x2b099eac5d2c <server_service_auth_init>, 
          0x2b099eac83af <server_service_echo_init>, 0}
        shared_init = 0xf50d50
        event_ctx = 0xf3e0a0
        stdin_event_flags = 1
        status = {v = 0}
        model = 0xf22970 "single"
        max_runtime = 7500
        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x2b09a19461e0, val = 0, 
            descrip = 0x4100bf "Help options:", argDescrip = 0x0}, {
            longName = 0x4100cd "daemon", shortName = 68 'D', argInfo = 0, 
            arg = 0x0, val = 1000, 
            descrip = 0x4100d4 "Become a daemon (default)", 
            argDescrip = 0x0}, {longName = 0x4100ee "interactive", 
            shortName = 105 'i', argInfo = 0, arg = 0x0, val = 1001, 
            descrip = 0x410100 "Run interactive (not a daemon)", 
            argDescrip = 0x0}, {longName = 0x41011f "model", 
            shortName = 77 'M', argInfo = 1, arg = 0x0, val = 1002, 
            descrip = 0x410125 "Select process model", 
            argDescrip = 0x41013a "MODEL"}, {
            longName = 0x410140 "maximum-runtime", shortName = 0 '\000', 
            argInfo = 2, arg = 0x7fff6004ed6c, val = 0, 
            descrip = 0x410150 "set maximum runtime of the server process, till autotermination", argDescrip = 0x410190 "seconds"}, {
            longName = 0x410198 "show-build", shortName = 98 'b', 
            argInfo = 0, arg = 0x0, val = 1003, 
            descrip = 0x4101a3 "show build info", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x613700, val = 0, 
            descrip = 0x4101b3 "Common samba options:", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x6138c0, val = 0, 
            descrip = 0x4101b3 "Common samba options:", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, 
            val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "binary_smbd_main"
#31 0x000000000040bf8a in main (argc=6, argv=0x7fff6004ee98)
    at ../source4/smbd/server.c:483
No locals.
oldtype = <value optimized out>
result = <value optimized out>
A debugging session is active.

	Inferior 1 [process 8890] will be detached.

Quit anyway? (y or n) [answered Y; input not from terminal]
smb_panic(): action returned status 0
PANIC: ../source4/libnet/libnet_user.c:801: Type mismatch: name[struct irpc_list] expected[struct composite_context]
samba child process 8890, died with signal 6, without coredump
Traceback (most recent call last):
  File "/memdisk/autobuild/flakey/b6798/samba4/selftest/filter-subunit", line 88, in <module>
    ret = subunithelper.parse_results(msg_ops, statistics, sys.stdin)
  File "/memdisk/autobuild/flakey/b6798/samba4/selftest/subunithelper.py", line 180, in parse_results
    msg_ops.output_msg(l)
  File "/memdisk/autobuild/flakey/b6798/samba4/selftest/subunithelper.py", line 260, in output_msg
    sys.stdout.write(msg)
IOError: [Errno 32] Broken pipe
Exiting early because of SIGPIPE.
make: *** [test] Error 1
Comment 1 Stefan Metzmacher 2012-04-24 09:14:02 UTC
From reading the code it looks like that a getpw* call
doesn't get canceled by wbsrv_terminate_connection(), because
some libnet_*_send() functions doesn't take a TALLOC_CTX *mem_ctx.
Comment 2 Stefan Metzmacher 2012-04-24 09:20:55 UTC
Created attachment 7478 [details]
Diff of the prototypes we need to fix
Comment 3 Andrew Bartlett 2012-04-25 08:36:46 UTC
I'm happy to get to any of these that metze doesn't get to.
Comment 4 Andrew Bartlett 2012-05-15 04:11:40 UTC
I've fixed all the libnet callers (metze already fixed the one that mattered)